Skip to main content
GET
/
v1
/
companies
/
{id}
/
podcast
/
advertising
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/companies/{id}/podcast/advertising"
{
  "company_id": "<string>",
  "episode_reach": 123,
  "podcast_reach": 123,
  "read_type_breakdown": {
    "host_read": 123,
    "pre_recorded": 123
  },
  "recent_ads": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "duration_seconds": 123,
      "end_seconds": 123,
      "id": "<string>",
      "read_type": "<string>",
      "sponsor_name": "<string>",
      "start_seconds": 123,
      "company": {
        "id": "<string>",
        "name": "<string>",
        "image_url": "<string>"
      },
      "offer_description": "<string>",
      "placement_type": "<string>",
      "podcast": {
        "id": "<string>",
        "title": "<string>",
        "image_url": "<string>",
        "slug": "<string>"
      },
      "product": "<string>",
      "sponsor_url": "<string>"
    }
  ],
  "total_ads": 123
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Company slug (e.g., 'apple'), domain (e.g., 'apple.com'), or ID

Query Parameters

since
string

Only include ads from episodes published on or after this ISO 8601 date or date-time (e.g. 2025-01-01 or 2025-01-01T00:00:00Z)

Example:

"2025-01-01T00:00:00Z"

until
string

Only include ads from episodes published before this ISO 8601 date or date-time (e.g. 2026-01-01 or 2026-01-01T00:00:00Z)

Example:

"2026-01-01T00:00:00Z"

Response

OK

company_id
string
required

Company identifier (domain, slug, or encoded ID)

episode_reach
integer<int64>
required

Number of distinct episodes with ads

podcast_reach
integer<int64>
required

Number of distinct podcasts with ads

read_type_breakdown
object
required

Distribution of ad read types

recent_ads
object[] | null
required

Most recent ad placements

total_ads
integer<int64>
required

Total number of ads across all podcasts